package s1;

import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;
import java.awt.event.MouseMotionListener;
import java.awt.event.MouseWheelEvent;
import java.awt.event.MouseWheelListener;

import javax.swing.JFrame;

public class MouseSample extends JFrame {
	
	public static void main(String[] args) {

		JFrame frame = new MouseSample();

		MyMouseListener listener = new MyMouseListener();
		frame.addMouseListener(listener);
		frame.addMouseMotionListener(listener);
		frame.addMouseWheelListener(listener);
		
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		frame.setSize(640, 480);
		frame.setVisible(true);
	}

	static class MyMouseListener implements MouseListener, MouseMotionListener, MouseWheelListener{

		//mouse
		public void mouseClicked(MouseEvent e) {
			System.out.println("mouseClicked");
		}

		public void mouseEntered(MouseEvent e) {
			System.out.println("mouseEntered");
		}

		public void mouseExited(MouseEvent e) {
			System.out.println("mouseExited");
		}

		public void mousePressed(MouseEvent e) {
			System.out.println("mouseClicked");
		}

		public void mouseReleased(MouseEvent e) {
			System.out.println("mouseReleased");
		}

		//motion
		public void mouseDragged(MouseEvent e) {
			System.out.println("mouseDragged");
		}

		public void mouseMoved(MouseEvent e) {
			System.out.println("mouseMoved");
		}

		//wheel
		public void mouseWheelMoved(MouseWheelEvent e) {
			System.out.println("mouseWheelMoved");
		}

	}
}
